Subject: bug#5001: [Erc-discuss] bug#5001: erc should use 'font-lock-face, not 'face

From: Vivek Dasmohapatra <[email-masked]>
Date: Thu, 4 Feb 2016 16:47:11 +0000 (GMT)

> I know nothing about font-locking, so I have no idea whether this is a
> good idea or not.  Are there anybody on the erc mailing list that has on
> opinion here?

A bit of preliminary testing (not in erc proper) does not show up any 
problems. You don't want a total replacement: some of the grepped out 
entries are defcustom types, which should still be 'face (as that's
not a property being applied, it's type info for the defcustom mechanism).

I've modified my erc instance appropriately, I'll let it run for a couple of 
days and get back to you.